# Test a connector

Tests connection of the connector with the matching connector identifier.

Endpoint: GET /v1/orgs/{org}/connectors/{connector}/test-connection
Version: 1.0
Security: x-api-key

## Path parameters:

  - `org` (string, required)
    Identifier field of the organization the resource is scoped to

  - `connector` (string, required)
    Connector identifier

## Header parameters:

  - `Harness-Account` (string)
    Identifier field of the account the resource is scoped to.

## Response 200 fields (application/json):

  - `status` (string)
    Connectivity status of a Connector
    Enum: "SUCCESS", "PARTIAL", "FAILURE", "UNKNOWN"

  - `errors` (array)

  - `errors.reason` (string)
    Reason of test connection error

  - `errors.message` (string)
    Test connection error message

  - `errors.code` (integer)
    Test connection error code

  - `error_summary` (string)
    Summary of errors

  - `tested_at` (integer)
    Time at which Test Connection was completed

  - `delegate_id` (string)
    ID of Delegate on which Test Connection is executed


